import React from 'react';
import ReactDOM from 'react-dom';
import { connect } from 'react-redux';
import {
  Link,
  push,
} from 'redux-little-router';

import hydrazine from '../dist/index.js';

document.title = 'Unknown Page';

const Home = () => (
  <div>
    <h1>Home</h1>
    <Link href="/one">Next Page</Link>
  </div>
);

const One = connect(null, dispatch => ({ next: () => dispatch(push('/two/Hydrazine')) }))(props => (
  <div>
    <h1>One</h1>
    <span onClick={props.next}>
      Next Page
    </span>
  </div>
));

const Two = connect(({ router: { params: { fuel } } }) => ({ fuel }))(({ fuel }) => (
  <div>
    <h1>Two</h1>
    Powered by {fuel}.
    <br />
    <Link href="/">First Page</Link>
  </div>
));

const { App, store } = hydrazine({
  basename: '/test',
  routes: {
    '/': {
      '/': Home,
      '/one': One,
      '/two/:fuel': Two,
    },
  },
});

ReactDOM.render(<App />, document.getElementById('mountNode'));
