module.exports = {
  entry: `${__dirname}/src/index.jsx`,
  output: {
    path: `${__dirname}/dist`,
    filename: 'index.js',
    library: 'hydrazine',
    libraryTarget: 'umd',
  },
  externals: {
    react: {
      root: 'React',
      commonjs: 'react',
      commonjs2: 'react',
      amd: 'react',
    },
    redux: {
      root: 'redux',
      commonjs: 'redux',
      commonjs2: 'redux',
      amd: 'redux',
    },
    'react-redux': {
      root: 'reactRedux',
      commonjs: 'react-redux',
      commonjs2: 'react-redux',
      amd: 'react-redux',
    },
    'redux-little-router': {
      root: 'reduxLittleRouter',
      commonjs: 'redux-little-router',
      commonjs2: 'redux-little-router',
      amd: 'redux-little-router',
    },
  },
  module: {
    rules: [{
      test: /\.jsx?$/,
      exclude: [/node_modules/],
      use: [{
        loader: 'babel-loader',
        options: {
          plugins: ['transform-object-rest-spread'],
          presets: ['es2016', 'react'],
        },
      }],
    }],
  },
};
